### Method

# Pango LayoutIterget_line_readonly

since: 1.16

#### Declaration [src]

    PangoLayoutLine*
    pango_layout_iter_get_line_readonly (
      PangoLayoutIter* iter
    )

#### Description [src]

Gets the current line for read-only access.

This is a faster alternative to `pango_layout_iter_get_line()`, but the user is not expected to modify the contents of the line (glyphs, glyph widths, etc.).

Available since: 1.16

#### Return value

Type: `PangoLayoutLine`

The current line, that should not be modified.

The data is owned by the instance.
The return value can be `NULL`.